%define url_ver		%(echo %{version} | cut -d. -f1,2)

%define major		0
%define api		0.4
%define libname		%mklibname %{name} %{api} %{major}
%define girname		%mklibname %{name}-gir %{api}
%define develname	%mklibname %{name} -d

Name:		gegl
Version:	0.4.48
Release:	%mkrel 1
Summary:	GEGL (Generic Graphics Library) - graph based image processing framework
Group:		System/Libraries
License:	LGPLv3+
URL:		http://www.gegl.org/
Source0:	https://ftp.gimp.org/pub/gegl/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		gegl04-openexr.patch
Patch1:		gegl04-gtk.patch
Patch2:		gegl-npd-sc-soname.patch
BuildRequires:	lib64babl0.1-devel
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gexiv2)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(jasper)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(lensfun)
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(libavformat)
BuildRequires:	pkgconfig(libraw)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libspiro) >= 20190731
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(luajit)
BuildRequires:	pkgconfig(maxflow)
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(pangocairo)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(pygobject-3.0)
# to pull libumfpack5 in (which is the only thing we need):
BuildRequires:	suitesparse-devel
BuildRequires:	asciidoc
BuildRequires:	enscript
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	graphviz
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	ruby
BuildRequires:	locales
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	vala-tools
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	meson

Requires:       graphviz

%description
GEGL (Generic Graphics Library) is a graph based image processing
framework.

GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to
have minimal dependencies. and a simple well defined API.


%package -n     %{libname}
Summary:        A library for %{name}
Group:          System/Libraries

%description -n %{libname}
GEGL (Generic Graphics Library) is a graph based image processing
framework.

GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to
have minimal dependencies. and a simple well defined API.

%package -n     %{develname}
Summary:        Header files for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
GEGL (Generic Graphics Library) is a graph based image processing
framework.

GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to
have minimal dependencies. and a simple well defined API.

%prep
%setup -q
%autopatch -p1

%build
export LC_ALL=UTF-8
%meson \
  -Dmrg=disabled \
  --auto-features=auto \
  -Ddocs=false \
  -Dgtk-doc=false \
  -Dgi-docgen=disabled

%meson_build

%install
%meson_install

%find_lang gegl-%{api}


%files -f gegl-%{api}.lang
%{_bindir}/gegl
%{_bindir}/gegl-imgcmp
%{_datadir}/gegl-%api/lua/

%files -n %{libname}
%{_libdir}/*.so.*
%{_libdir}/gegl-%{api}/
%{_libdir}/girepository-1.0/Gegl-%{api}.typelib


%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/gegl-%{api}/
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/Gegl-%{api}.gir
%{_datadir}/vala/vapi/gegl-%{api}.*


%changelog
* Mon Mar 18 2024 tex - 0.4.48-1pclos2024
- new version

* Tue Nov 07 2023 tex - 0.4.46-1pclos2023
- new version

* Mon Mar 27 2023 tex - 0.4.44-1pclos2023
- new version

* Wed Feb 22 2023 tex - 0.4.42-1pclos2023
- new version

* Mon Nov 14 2022 tex - 0.4.40-1pclos2022
- new version

* Wed Nov 02 2022 tex - 0.4.38-2pclos2022
- rebuild against updates

* Fri Sep 23 2022 tex - 0.4.38-1pclos2022
- new version

* Fri Sep 23 2022 tex - 0.4.36-2pclos2022
- rebuild against updates

* Mon Jun 13 2022 tex - 0.4.36-1pclos2022
- new version

* Mon Dec 20 2021 tex - 0.4.34-1pclos2021
- new version

* Mon Sep 06 2021 tex - 0.4.32-1pclos2021
- new version

* Fri Jul 09 2021 tex - 0.4.30-2pclos2021
- rebuild against updates

* Sun Mar 28 2021 tex - 0.4.30-1pclos2021
- new version

* Fri Jan 01 2021 tex - 0.4.28-2pclos2020
- add req graphviz

* Wed Dec 30 2020 tex - 0.4.28-1pclos2020
- 0.4.28
